package com.ruoyi.cai.notice.data;

import com.ruoyi.cai.notice.data.child.MessageSendGiftWindowsAmountData;
import com.ruoyi.cai.notice.data.child.MessageSendRechargeWindowsAmountData;
import com.ruoyi.cai.notice.enums.MessageBaseTypeEnum;
import lombok.Data;

@Data
public class MessageSendRechargeWindowsAmountNew extends MessageBaseData{

    private MessageSendRechargeWindowsAmountData data;

    public MessageSendRechargeWindowsAmountNew(MessageBaseTypeEnum typeEnum) {
        this.setType(typeEnum.getCode());
    }

    public MessageSendRechargeWindowsAmountNew() {
    }

}
